=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0
