## flycheck 0.25.1

=== debian/changelog ===
flycheck (0.25.1-1) unstable; urgency=medium

  * Initial release. (Closes: #796652)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Mar 2016 20:56:15 -0700
