=== debian/control ===
Source: flycheck
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
# to make the test suite run at all:
Build-Depends: dash-el,
               debhelper (>= 9),
               dh-elpa (>= 0.0.19),
               elpa-let-alist,
               elpa-seq,
               elpa-shut-up,
               python,
               texinfo,
# for test suite tests that would otherwise be skipped:
               gnupg,
               clang,
               gfortran,
               haskell-stack,
               ghc,
               haskell-mode,
               hlint,
               tidy,
               python-flake8,
               pylint,
               python-sphinx,
               elpa-rust-mode,
               rustc,
               shellcheck,
               chktex,
               lacheck,
               zsh,
               xmlstarlet
Standards-Version: 3.9.7
Homepage: http://flycheck.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/

Package: elpa-flycheck
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}, dash-el
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.
