=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	make texinfo

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_auto_test:
	# we don't run the tests in flycheck-checkdoc.el as these are not
	# functional tests so are useful to upstream only, not us
	emacs --batch -Q \
		--eval "(progn (require 'package) (add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\"))" \
		-L /usr/share/emacs/site-lisp/dash-el \
		-L /usr/share/emacs/site-lisp/haskell-mode \
		-l haskell-mode-autoloads.el \
		-f package-initialize \
		-l test/run.el
