## flycheck 28

=== debian/changelog ===
flycheck (28-6) unstable; urgency=medium

  * Skip ERT tests during package build.
    See comments in debian/ert-helper.el.
  * Add d/tests/control & move ERT build dependencies there from d/control.
  * Add Testsuite: field to d/control.
  * Delete obsolete README.source.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Aug 2016 17:59:42 -0700

flycheck (28-5) unstable; urgency=medium

  * Strip numbers from patch filenames.
  * Add some missing Forwarded: headers to patches.
  * Move Forwarded: headers so they won't be stripped by gbp.
    This method from Dmitry Bogatov's packaging work.
    (The patch headers are not DEP-3 compliant anyway: see #785274.)
  * Add use-gpg1.patch  (Closes: #818142)
    - Switch build dependency gnupg -> gnupg1.
      See header of use-gpg1.patch for details.
  * Drop update-shellcheck-expected-values.patch  (Closes: #818142)
    Debian version now the same with upstream's testing platform.
  * Add update-perl-expected-values.patch.  (Closes: #818142)
  * Add disable-rpmlint-test.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Aug 2016 21:19:14 -0700

flycheck (28-4) unstable; urgency=medium

  * Add 0018-update-expected-values-for-gcc-6.patch.
  * Move dh_elpa_test config to d/elpa-test.
    - Tighten build-dep on dh-elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 04 Aug 2016 12:06:08 -0700

flycheck (28-3) unstable; urgency=medium

  * Add 0017-update-expected-values-for-rustc-1.10.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 03 Aug 2016 17:26:38 -0700

flycheck (28-2) unstable; urgency=medium

  * Set DH_ELPA_TEST_AUTOPKGTEST_KEEP in d/rules.
  * Add 0014-Update-expected-values-for-cppcheck-1.74.patch.
    Fixes build in current sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 07 Jul 2016 13:24:32 +0900

flycheck (28-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop 0012-update-rustc-expected-values.patch.
    Obsolete with latest rustc.
  * Drop 0014-Fix-cppcheck-test.patch.
    Included in this upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 16:13:54 +0900

flycheck (27-1) unstable; urgency=medium

  * Package new upstream release.
  * Run test suite with dh_elpa_test.
    - Bump debhelper compat level to 10.
    - Override Lintian tag due to using experimental compat level:
      package-needs-versioned-debhelper-build-depends.
  * Build dependency changes:
    - New build-dep for testsuite: cppcheck.
    - New build dependency on elpa-buttercup for dh_elpa_test.
    - Build dependency on dh-elpa tightened for dh_elpa_test.
    - Tighten build dependencies on hlint and rustc to ensure test suite passes.
  * Quilt patch changes:
    - Drop 0004-update-pylint-expected-values.patch.
      Merged upstream.
    - Drop 0010-skip-haskell-stack-tests-when-homedir-nonexistent.patch.
      Merged upstream.
    - Drop 0011-hack-Makefile-to-silence-cmd-not-found-errors.patch.
      No longer required.
    - Add 0010-disable-MELPA-tests.patch.
    - Add 0011-disable-code-style-spec-test.patch.
    - Add 0013-patch-test-runner.patch.
    - Add 0014-Fix-cppcheck-test.patch.
    - Add 0015-pass-epg-gpg-home-directory-to-gpg-invocation.patch.
    - Add 0016-update-expected-values-for-rustc-version-1.9.0.patch.
    - Refresh remaining patches.
  * Documentation changes:
    - Remove d/copyright entry for obsoleted file test/flycheck-checkdoc.el.
    - Add d/copyright entry for new file test/test-code-style.el.
    - Drop debian/info since upstream's info manual no longer exists.
    - Don't install CREDITS.md since upstream's credits file no longer exists.
    - Merge and install two upstream changelogs.
  * Override dh_auto_build to avoid Cask.
  * Remove comments from d/control due to #823708.
  * Create README.source with information from comments.
  * Run wrap-and-sort -abst.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 06 Jun 2016 12:59:44 +0900
