=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_installchangelogs:
	cat CHANGES.rst CHANGES.old > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_auto_build:
	/bin/true
