=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Restrictions: rw-build-tree
Depends: @,
 @builddeps@,
 clang,
 gfortran,
 haskell-stack,
 ghc,
 haskell-mode,
 tidy,
 python-flake8,
 pylint,
 python-sphinx,
 elpa-rust-mode,
 shellcheck,
 chktex,
 lacheck,
 zsh,
 xmlstarlet,
 cppcheck,
 python,
 chktex,
 dash-el,
 elpa-rust-mode,
 hlint (>= 1.9.32),
 rustc (>= 1.9.0),
 texinfo,
 zsh,
