=== debian/changelog ===
flycheck (30-3) unstable; urgency=low

  * Add disable-flaky-tests.patch
    At present, it is not feasible to keep the expected values of these
    tests up-to-date.  See patch header.
  * Stop skipping the ERT tests during the package build.
    The particular tests that necessitated skipping the ERT test suite
    altogether are now disabled by disable-flaky-tests.patch.
    - Remove ERT skipping code & comments from d/ert-helper.el
    - Add build-deps on haskell-mode, python-minimal
    - Set Testsuite: autopkgtest-pkg-elpa
    - Drop d/tests/control
      This file was needed to list the extensive dependencies of the tests
      disabled by disable-flaky-tests.patch, plus the general dependencies
      of the ERT test suite.  The latter are now folded into d/control.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jan 2017 21:45:22 -0700

flycheck (30-2) unstable; urgency=medium

  * Drop gnupg1 build dependency (Closes: #848868).
    This was added so the "recognizes an encrypted buffer" test could pass
    under emacs24.  However, upstream has since disabled that test for
    emacs24 and below.
  * Drop use-gpg1.patch
    Similarly obsoleted by upstream change.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 22 Dec 2016 08:24:57 +0000

flycheck (30-1) unstable; urgency=medium

  * New upstream release.
  * Quilt patch changes:
    - Drop fix-autoload-tests.patch
      Merged upstream.
    - Drop remove-references-to-legacy-manual.patch
      Merged upstream.
    - Drop remove-todolist.patch
      Merged upstream.
    - Drop patch-test-runner.patch
      Obsolete: the logic we were patching has moved to the Makefile,
      which we bypass anyway.
    - Update use-gpg1.patch to apply to test-gpg.el, not test-util.el.
    - Add Don-t-fail-if-stack-path-project-root-fails.patch
    - Some other patches refreshed.
  * Set flycheck-doc Built-Using.
    - Tighten python3-sphinx build-dep for ${sphinxdoc:Built-Using}.
  * Drop d/source/local-options for dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Oct 2016 07:56:41 -0700

flycheck (29-2) unstable; urgency=medium

  * Drop patches concerning gpg ERT tests:
    - clear-GPG-agent-env-vars.patch
    - set-epg-gpg-home-directory.patch
    gpg tests have been moved from the ERT suite to the Buttercup suite.
  * Set STACK_ROOT=$AUTOPKGTEST_TMP for ERT tests.
    Attempt to avoid stack tests failing on ci.debian.net.
  * Refresh patch-test-runner.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Oct 2016 19:50:27 -0700

flycheck (29-1) unstable; urgency=medium

  * New upstream release.
    - New build-dep on elpa-f
  * Build new offline docs in new flycheck-doc binary package.
    - flycheck suggests flycheck-doc
    - Build-depend on python3-{sphinx,requests,docutils}
    - Declare build conflict with python-sphinx
    - Call dh --with sphinxdoc
    - Add d/clean, d/flycheck-doc.doc-base, d/flycheck-doc.docs
  * Add elpa-geiser dependency to d/tests/control.
    Enable some more tests.
  * Test for ADT_TMP as well as AUTOPKGTEST_TMP.
    For compatibility with ci.debian.net
  * Drop obsolete paragraph from d/copyright.
    Upstream deleted test/specs/test-code-style.el
  * Update d/copyright information for doc/ dir.
  * Remove references to legacy manual that we don't install:
    - Extend patch-README-for-Debian.patch
    - Add remove-references-to-legacy-manual.patch
  * Add remove-todolist.patch
  * Drop patches merged upstream:
    - Update-expected-values-for-cppcheck-1.74.patch
    - pass-epg-gpg-home-directory-to-gpg-invocation.patch
    - set-C-locale-and-patch-C-and-fortran-tests.patch
    - update-expected-values-for-gcc-6.patch
    - update-expected-values-for-rustc-version-1.9.0.patch
    - update-expected-values-for-rustc-1.10.patch
    - update-perl-expected-values.patch
  * Drop obsolete patch disable-code-style-spec-test.patch.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Sep 2016 17:05:33 -0700
