=== debian/control ===
--- 
+++ 
@@ -6,18 +6,24 @@
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
  dash-el,
+ elpa-f,
  debhelper (>= 9),
  dh-elpa (>= 1.0),
  elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
- gnupg1,
+ haskell-mode,
+ python3-sphinx (>= 1.4.8),
+ python3-requests,
+ python3-docutils,
+ python-minimal,
+Build-Conflicts: python-sphinx
 Standards-Version: 3.9.8
 Homepage: http://flycheck.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-flycheck
 Architecture: all
@@ -32,6 +38,7 @@
 Enhances:
  emacs,
  emacs24,
+Suggests: flycheck-doc
 Description: modern on-the-fly syntax checking for Emacs
  Flycheck uses various syntax checking and linting tools to
  automatically check the contents of buffers while the user types, and
@@ -39,3 +46,16 @@
  error list.
  .
  It is intended to replace the older Flymake which is part of Emacs core.
+
+Package: flycheck-doc
+Section: doc
+Architecture: all
+Depends: elpa-flycheck (= ${source:Version}), ${sphinxdoc:Depends}, ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
+Description: modern on-the-fly syntax checking for Emacs - documentation
+ Flycheck uses various syntax checking and linting tools to
+ automatically check the contents of buffers while the user types, and
+ reports warnings and errors directly in the buffer, or in an optional
+ error list.
+ .
+ This package includes flycheck's HTML documentation.
