## flycheck 31

=== Makefile ===
--- 
+++ 
@@ -29,16 +29,25 @@
 endif
 
 # Internal variables
-EMACSBATCH = $(CASK) exec $(EMACS) -Q --batch -L . $(EMACSOPTS)
+EMACSBATCH = $(EMACS) -Q --batch -L . $(EMACSOPTS)
+RUNEMACS =
 
 # Program availability
+ifdef CASK
+RUNEMACS = $(CASK) exec $(EMACSBATCH)
 HAVE_CASK := $(shell sh -c "command -v $(CASK)")
 ifndef HAVE_CASK
 $(warning "$(CASK) is not available.  Please run make help")
 endif
+else
+RUNEMACS = $(EMACSBATCH)
+endif
 HAVE_INKSCAPE := $(shell sh -c "command -v $(INKSCAPE)")
 HAVE_CONVERT := $(shell sh -c "command -v $(CONVERT)")
 HAVE_OPTIPNG := $(shell sh -c "command -v $(OPTIPNG)")
+
+RUNTEST = $(RUNEMACS) --load test/flycheck-test --load test/run.el \
+	-f flycheck-run-tests-main
 
 # Export Emacs to goals, mainly for CASK
 CASK_EMACS = $(EMACS)
@@ -52,6 +61,7 @@
 SRCS = flycheck.el flycheck-buttercup.el flycheck-ert.el
 OBJS = $(SRCS:.el=.elc)
 IMGS = doc/_static/logo.png
+TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el
 
 # File rules
 flycheck-ert.elc: flycheck.elc
@@ -59,7 +69,7 @@
 flycheck-buttercup.elc: flycheck.elc
 
 $(OBJS): %.elc: %.el
-	$(EMACSBATCH) -f batch-byte-compile $<
+	$(RUNEMACS) -l maint/flycheck-compile.el -f flycheck/batch-byte-compile $<
 
 doc/_static/logo.png: flycheck.svg
 ifndef HAVE_CONVERT
@@ -87,7 +97,23 @@
 	$(MAKE) -C doc clean
 
 .PHONY: purge
+purge:
 	$(GIT) clean -xfd
+
+.PHONY: format
+format:
+	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-format
+
+.PHONY: check-format
+check-format:
+	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-check-format
+
+.PHONY: checkdoc
+checkdoc:
+	$(RUNEMACS) -l maint/flycheck-checkdoc.el -f flycheck/batch-checkdoc
+
+.PHONY: check
+check: check-format checkdoc
 
 .PHONY: compile
 compile: $(OBJS)
@@ -98,13 +124,11 @@
 
 .PHONY: unit
 unit: compile
-	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
-		'(and (not (tag external-tool)) $(SELECTOR))'
+	$(RUNTEST) '(and (not (tag external-tool)) $(SELECTOR))'
 
 .PHONY: integ
 integ: compile
-	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
-		'(and (tag external-tool) $(SELECTOR))'
+	$(RUNTEST) '(and (tag external-tool) $(SELECTOR))'
 
 .PHONY: images
 images: $(IMGS)
@@ -115,7 +139,9 @@
 	@echo ''
 	@echo 'Available targets:'
 	@echo '  init:    Initialise the project.  RUN FIRST!'
+	@echo '  check:   Check all Emacs Lisp sources (needs Emacs 25)'
 	@echo '  compile: Byte-compile Emacs Lisp sources'
+	@echo '  format:  Format all Emacs Lisp sources'
 	@echo '  specs:   Run all buttercup specs for Flycheck'
 	@echo '  unit:    Run all ERT unit tests for Flycheck (legacy)'
 	@echo '  integ:   Run all integration tests for Flycheck'
