=== debian/changelog ===
flycheck (31-1) unstable; urgency=medium

  * New upstream release (Closes: #877411).
    - Updates to d/copyright.
  * Update dependency dash-el => elpa-dash (Closes: #865910).
    Thanks to Mykola Nikishov for reporting the problem.
    - Bump dh-elpa build dependency to (>= 1.7).
      Ensures that elpa-dash is included in ${elpa:Depends}.
  * Bump debhelper build-dep to match compat.
    - Drop Lintian override package-needs-versioned-debhelper-build-depends.
  * Drop fix-flake8-expected-values.patch
    Obsoleted by upstream changes.
  * Refresh patches.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Oct 2017 08:42:58 -0700
