=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
- dash-el,
+ elpa-dash,
  elpa-f,
- debhelper (>= 9),
- dh-elpa (>= 1.0),
+ debhelper (>= 10),
+ dh-elpa (>= 1.7),
  elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
@@ -19,7 +19,7 @@
  python3-docutils,
  python-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://flycheck.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
@@ -28,7 +28,6 @@
 Package: elpa-flycheck
 Architecture: all
 Depends:
- dash-el,
  emacs,
  ${elpa:Depends},
  ${misc:Depends},
