## flycheck 31+git.20190913.0006a592

=== debian/changelog ===
flycheck (31+git.20190913.0006a592-1) unstable; urgency=medium

  * new upstream git snapshot
  * rebase patches
    - drop unused Don-t-fail-if-stack-path-project-root-fails.patch to fix
      lintian warning
  * cleanup salsa pipeline config
  * update Standards-Version to 4.4.0 (no changes needed)
  * optimize d/control
    - Build-Depends: depend on python3 and elpa-haskell-mode
    - Enhances: drop emacs24
  * python3 in test
    - switch to py3 because py2 is going to be removed in bullseye,
      see https://wiki.debian.org/Python/2Removal
  * fix renamed lintian tag
  * skip flaky tests with ert-skip
    - refactor patches disable-sqlint-test.patch,
      disable-rpmlint-test.patch and disable-flaky-tests.patch
      into skip-sqlint-test.patch, skip-rpmlint-test.patch and
      skip-flaky-tests.patch correspondingly
    - it will make it transparent in the test report how many tests
      are actually skipped

 -- Denis Danilov <danilovdenis@yandex.ru>  Sat, 28 Sep 2019 19:52:23 +0200

flycheck (31-4) UNRELEASED; urgency=medium

  * update salsa pipeline
  * rebase and cleanup patches
  * skip flaky tests with ert-skip

 -- Denis Danilov <danilovdenis@yandex.ru>  Thu, 19 Sep 2019 07:59:54 +0200

flycheck (31-3) unstable; urgency=medium

  * Team upload.

  [ Denis Danilov ]
  * disable intersphinx and info extensions (Closes: #929232)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 May 2019 13:23:38 -0700

flycheck (31-2) unstable; urgency=medium

  * enable GitLab CI at salsa.d.o
  * adopt package: remove Sean from uploaders and add myself (closes: #904240)
  * update Standards-Version to 4.3.0 (no changes required)
  * Build-Depend on debhelper-compat 12
    - drop obsolete debian/compat
    - drop --parallel from debian/rules (it is enabled by default)
  * update project homepage
  * set Vcs-* to salsa.d.o
  * cleanup Build-Depends field
    - sort the list of package
    - drop redundant pyton3-docutils and python3-requests because
      python3-sphinx itself depends on them directly

 -- Denis Danilov <danilovdenis@yandex.ru>  Thu, 03 Jan 2019 20:20:26 +0100
