=== debian/control ===
--- 
+++ 
@@ -2,27 +2,23 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders:
- Sean Whitton <spwhitton@spwhitton.name>,
-Build-Depends:
+Uploaders: Denis Danilov <danilovdenis@yandex.ru>
+Build-Depends: debhelper-compat (= 12),
+ dh-elpa (>= 1.7),
+ elpa-buttercup (>= 1.5-2),
  elpa-dash,
  elpa-f,
- debhelper (>= 10),
- dh-elpa (>= 1.7),
- elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
- haskell-mode,
+ elpa-haskell-mode,
  python3-sphinx (>= 1.4.8),
- python3-requests,
- python3-docutils,
- python-minimal,
+ python3-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 4.1.1
-Homepage: http://flycheck.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
+Standards-Version: 4.4.0
+Homepage: https://www.flycheck.org/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
+Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-flycheck
@@ -36,7 +32,6 @@
  emacs (>= 46.0),
 Enhances:
  emacs,
- emacs24,
 Suggests: flycheck-doc
 Description: modern on-the-fly syntax checking for Emacs
  Flycheck uses various syntax checking and linting tools to
