## flycheck 32~git.20200527.9c435db3

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Copyright (c) 2018 Flycheck contributors
 # Copyright (c) 2012-2016 Sebastian Wiesner and Flycheck contributors
 
 # This program is free software: you can redistribute it and/or modify it under
@@ -58,7 +59,7 @@
 .DEFAULT_GOAL = help
 
 # File lists
-SRCS = flycheck.el flycheck-buttercup.el flycheck-ert.el
+SRCS = flycheck.el flycheck-ert.el
 OBJS = $(SRCS:.el=.elc)
 IMGS = doc/_static/logo.png
 TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el
@@ -153,7 +154,7 @@
 	@echo '  PATTERN:  A regular expression matching spec names to run with `specs`'
 	@echo '  SELECTOR: An ERT selector expression for `unit` and `integ`'
 	@echo '  LANGUAGE: The name of a language for `integ`.  Overrides `SELECTOR`'
-	@echo '  EMCSOPTS: Additional options to pass to `emacs`'
+	@echo '  EMACSOPTS: Additional options to pass to `emacs`'
 	@echo '  EMACS:    The path or name of the Emacs to use for tests and compilation'
 	@echo ''
 	@echo 'Available programs:'
