=== doc/requirements.txt ===
# Sphinx
Sphinx>=1.6
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
alabaster>=0.7.8
# Syntax highlighting
Pygments>=2.1
# Network access
requests>=2.9
