=== debian/changelog ===
flycheck (32~git.20200527.9c435db3-4) unstable; urgency=medium

  * Team upload.
  * Define custom autopkgtest to set buttercup options (Closes: #1033697).

 -- David Bremner <bremner@debian.org>  Mon, 10 Apr 2023 12:45:16 -0300

flycheck (32~git.20200527.9c435db3-3) unstable; urgency=medium

  * Team upload.
  * d/p/fix-buttercup-tests-on-emacs-28.patch: Adjust tests for Emacs 28.
  * d/rules: Invoke buttercup disabling subr-trampolines.
    Workaround issue described at
    https://github.com/jorgenschaefer/emacs-buttercup/issues/230.
    (Closes: #1028725)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 27 Feb 2023 22:17:21 -0500

flycheck (32~git.20200527.9c435db3-2) unstable; urgency=medium

  * skip truncated-stdin-* tests
    - the tests are flaky on amd64 and ppc64el

 -- Denis Danilov <danilovdenis@yandex.ru>  Wed, 25 Nov 2020 22:37:27 +0100

flycheck (32~git.20200527.9c435db3-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Denis Danilov ]
  * set Rules-Requires-Root: no
  * set debhelper-compat level to 13
  * Standards-Version: 4.5.0 (no changes required)
  * adopt DEP-14 recommendations
  * new upstream git snapshot from flycheck-32 branch 
  * rebase patches
  * update copyright years

 -- Denis Danilov <danilovdenis@yandex.ru>  Sun, 08 Nov 2020 19:20:03 +0100
