=== debian/tests/control ===
Test-Command: buttercup --eval '(setq comp-enable-subr-trampolines nil)' -L .
Depends: @, @builddeps@
Restrictions: rw-build-tree, allow-stderr
Features: test-name=buttercup-test
