## flycheck 33~git20230824.e56e30d

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Sphinx
-Sphinx>=1.6
+Sphinx~=6.0
 # Automatically build documentation on changes
 sphinx-autobuild
 # Sphinx theme
