=== debian/changelog ===
flycheck (33~git20230824.e56e30d-2) unstable; urgency=medium

  * Mark awk-gawk test as flaky, which has not been working for a while.
    Closes: #1052824.
  * Drop emacs from Recommends as it's already part of the Depends.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 05 Oct 2023 13:43:53 -0700

flycheck (33~git20230824.e56e30d-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Sync to latest upstream HEAD.
  * Refresh patches.
    - Drop d/p/python3-in-test.patch.  Applied upstream.
  * Update d/watch to version 4 and track master branch.
  * Build-Depends on emacs-buttercup >=1.31~ to fix compatibility with
    Emacs 29+.  Closes: #1050350, #1050404.
  * Manually clean up instead of using "$(MAKE) clean" which depends on
    Eask.
  * Adopt package and add myself to uploaders.  Closes: 1013298.

  [ Denis Danilov ]
  * Update copyright years.

  [ Denis Danilov & Xiyue Deng ]
  * Update Standards-Version to 4.6.2.
    - Drop Built-Using field.

  [ Sean Whitton ]
  * Drop test suite changes from previous two uploads.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 31 Aug 2023 15:21:58 +0100
