=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: flycheck
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders: Denis Danilov <danilovdenis@yandex.ru>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
+Uploaders:
+ Denis Danilov <danilovdenis@yandex.ru>,
+ Xiyue Deng <manphiz@gmail.com>
+Build-Depends: debhelper-compat (= 13),
  dh-elpa (>= 1.7),
- elpa-buttercup (>= 1.5-2),
+ elpa-buttercup (>= 1.31~),
  elpa-dash,
  elpa-f,
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
  elpa-haskell-mode,
- python3-sphinx (>= 1.4.8),
+ python3-sphinx,
  python3-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Homepage: https://www.flycheck.org/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
 Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
+Rules-Requires-Root: no
 
 Package: elpa-flycheck
 Architecture: all
@@ -27,9 +30,6 @@
  emacs,
  ${elpa:Depends},
  ${misc:Depends},
-Built-Using: ${misc:Built-Using}
-Recommends:
- emacs (>= 46.0),
 Enhances:
  emacs,
 Suggests: flycheck-doc
@@ -45,7 +45,6 @@
 Section: doc
 Architecture: all
 Depends: elpa-flycheck (= ${source:Version}), ${sphinxdoc:Depends}, ${misc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: modern on-the-fly syntax checking for Emacs - documentation
  Flycheck uses various syntax checking and linting tools to
  automatically check the contents of buffers while the user types, and
