=== debian/watch ===
version=4
opts="mode=git, pretty=33~git%cd.%h" \
  https://github.com/flycheck/flycheck \
  HEAD debian uupdate
