## flycheck 34.1

=== debian/changelog ===
flycheck (34.1-4ubuntu1) plucky; urgency=medium

  * Mark awk-gawk test as flaky again (LP: #2101938).

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 11 Mar 2025 09:04:48 +0100

flycheck (34.1-4) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.

  [ Xiyue Deng ]
  * Update Standards-Version to 4.7.2; no change needed
  * Reformat d/control with "wrap-and-sort -ast"

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 11:38:48 -0800

flycheck (34.1-3) unstable; urgency=medium

  * Remove Denis from uploaders per his request.  Thanks for your work,
    Denis!
  * Add patch to fix test output for Emacs 30.1
  * Update Standards-Version to 4.7.1; no change needed
  * Update section to editors

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 25 Feb 2025 15:12:53 -0800

flycheck (34.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:34:51 +0900

flycheck (34.1-1) unstable; urgency=medium

  * New upstream release
  * Update skipped flaky tests
  * Refresh patches
  * Drop obsolete handling in elpa-test and ert-helper.el
  * Update d/watch to track releases now that upstream releases have
    resumed
  * Update lintian overrides name:
    debian-watch-does-not-check-{,open}gpg-signature
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Add Upstream-Contact in d/copyright
  * Update copyright year for debian/* in d/copyright
  * Update Standards-Version to 4.7.0; no change needed
  * Move Emacs from Depends to Recommends in binary package
  * Add git to Build-Depends as required by Salsa CI

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 24 May 2024 01:54:19 -0700
